Upstream information

CVE-2017-2647 at MITRE

Description

The KEYS subsystem in the Linux kernel before 3.18 allows local users to gain privileges or cause a denial of service (NULL pointer dereference and system crash) via vectors involving a NULL value for a certain match field, related to the keyring_search_iterator function in keyring.c.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.15 5.54
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C AV:L/AC:M/Au:S/C:P/I:P/A:C
Access Vector Local Local
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact Complete Partial
Integrity Impact Complete Partial
Availability Impact Complete Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High

This issue is currently rated as having important severity.

SUSE Bugzilla entry: 1030593 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12 SP1
  • kernel-zfcpdump >= 3.12.74-60.64.40.1
Patchnames:
SUSE-SLE-BSK-12-SP1-2017-831
SUSE Linux Enterprise Desktop 12 SP1
  • kernel-default >= 3.12.74-60.64.40.1
  • kernel-default-devel >= 3.12.74-60.64.40.1
  • kernel-default-extra >= 3.12.74-60.64.40.1
  • kernel-devel >= 3.12.74-60.64.40.1
  • kernel-macros >= 3.12.74-60.64.40.1
  • kernel-source >= 3.12.74-60.64.40.1
  • kernel-syms >= 3.12.74-60.64.40.1
  • kernel-xen >= 3.12.74-60.64.40.1
  • kernel-xen-devel >= 3.12.74-60.64.40.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-831
SUSE Linux Enterprise Live Patching 12
  • kgraft-patch-3_12_74-60_64_40-default >= 1-4.1
  • kgraft-patch-3_12_74-60_64_40-xen >= 1-4.1
  • kgraft-patch-SLE12-SP1_Update_15 >= 1-4.1
Patchnames:
SUSE-SLE-Live-Patching-12-2017-831
SUSE Linux Enterprise Module for Public Cloud 12
  • kernel-ec2 >= 3.12.74-60.64.40.1
  • kernel-ec2-devel >= 3.12.74-60.64.40.1
  • kernel-ec2-extra >= 3.12.74-60.64.40.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-12-2017-831
SUSE Linux Enterprise Server 12 SP1
  • kernel-default >= 3.12.74-60.64.40.1
  • kernel-default-base >= 3.12.74-60.64.40.1
  • kernel-default-devel >= 3.12.74-60.64.40.1
  • kernel-default-man >= 3.12.74-60.64.40.1
  • kernel-devel >= 3.12.74-60.64.40.1
  • kernel-macros >= 3.12.74-60.64.40.1
  • kernel-source >= 3.12.74-60.64.40.1
  • kernel-syms >= 3.12.74-60.64.40.1
  • kernel-xen >= 3.12.74-60.64.40.1
  • kernel-xen-base >= 3.12.74-60.64.40.1
  • kernel-xen-devel >= 3.12.74-60.64.40.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-831
SUSE Linux Enterprise Software Development Kit 12 SP1
  • kernel-docs >= 3.12.74-60.64.40.4
  • kernel-obs-build >= 3.12.74-60.64.40.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-831
SUSE Linux Enterprise Workstation Extension 12 SP1
  • kernel-default >= 3.12.74-60.64.40.1
  • kernel-default-extra >= 3.12.74-60.64.40.1
Patchnames:
SUSE-SLE-WE-12-SP1-2017-831


List of planned updates

The following information is the current evaluation information for this security issue. It might neither be accurate nor complete, Use at own risk.
Product(s) Source package
  • SUSE Linux Enterprise Desktop 12 SP2
  • SUSE Linux Enterprise Server 11 SP3 LTSS
  • SUSE Linux Enterprise Server 11 SP4
  • SUSE Linux Enterprise Server 12 SP2
  • SUSE Linux Enterprise Server for SAP 11 SP3
  • SUSE Linux Enterprise Server for SAP 11 SP4
  • SUSE Linux Enterprise Server for SAP 12 SP2
kernel-source